Attribute VB_Name = "mWinVer"
'=========================================================================
'   ݁`ppAPITv
'-------------------------------------------------------------------------
'   [VXe֘A] Windows̃o[W擾W[
'-------------------------------------------------------------------------
'   [쐬]    2000N0621
'-------------------------------------------------------------------------
'   [mF]
'       Windows 95
'       Windows 98
'       Windows NT 4.0
'       Windows 2000 Professional
'=========================================================================
Option Explicit

Public Const VER_PLATFORM_WIN32s = 0
Public Const VER_PLATFORM_WIN32_WINDOWS = 1
Public Const VER_PLATFORM_WIN32_NT = 2

Public Type OSVERSIONINFO
    dwOSVersionInfoSize As Long
    dwMajorVersion      As Long
    dwMinorVersion      As Long
    dwBuildNumber       As Long
    dwPlatformId        As Long
    szCSDVersion        As String * 128      '  Maintenance string for PSS usage
End Type

Public Declare Function GetVersionEx Lib "kernel32" Alias "GetVersionExA" (lpVersionInformation As OSVERSIONINFO) As Long
Public Declare Function GetVersion Lib "kernel32" () As Long

Public Enum VERSION_ID_ENUM
    verWin32S
    verWin95
    verWin98
    verWinNT3
    verWinNT4
    verWin2000
End Enum

Public udtOSVerInfo     As OSVERSIONINFO
Public enmVersionID     As VERSION_ID_ENUM

Public Sub GetWindowVersion()
    
    udtOSVerInfo.dwOSVersionInfoSize = Len(udtOSVerInfo)
    GetVersionEx udtOSVerInfo
    
    Select Case udtOSVerInfo.dwPlatformId
    
    Case VER_PLATFORM_WIN32s
        enmVersionID = verWin32S
        
    Case VER_PLATFORM_WIN32_WINDOWS
        If udtOSVerInfo.dwMinorVersion = 0 Then
            enmVersionID = verWin95
        Else
            enmVersionID = verWin98
        End If
        
    Case Else
        Select Case udtOSVerInfo.dwMajorVersion
        Case 3:     enmVersionID = verWinNT3
        Case 4:     enmVersionID = verWinNT4
        Case Else:  enmVersionID = verWin2000
        End Select
        
    End Select
    
End Sub
